import Taro from "@tarojs/taro";

globalThis.app = {
    appName: "",//小程序名称
    apiUrl: "https://test-distribution-api.zanxiangnet.com",//接口地址头部
    appId: "",//当前小程序ID
    system: "",//当前系统环境
    showLog: true,//控制台是否打印日志
    isLoding: false,//是否显示每次请求的加载loding弹窗
    initToken: "",//初始化toekn用于登录时使用
    token: "",//登录后的token
}
export interface App {
    appName?: string;//小程序名称
    apiUrl?: string;//接口地址头部
    appId?: string;//当前小程序ID
    system?: string,//当前系统环境
    showLog?: boolean,//控制台是否打印日志
    isLoding?: boolean,//是否显示每次请求的加载loding弹窗
    initToken?: string,//初始化toekn用于登录时使用
    token?: string,//登录后的token
    userInfo?: any
}

// // 定义全局日志函数
globalThis.log = app.showLog ? console.log : () => { };
/**
 * 传入参数设置全局变量(进入APP后固定不变的参数,并存入到本地)
*/
export function setApp(props?: App) {
    // log("初始化设置APP关键固定参数===>", props)
    if (props) {
        Object.keys(props).forEach((key) => {
            globalThis.app[key] = props[key]
        })
    }
    // log("app====>",app)
    Taro.setStorageSync("app", app)
}
/**
 * 初始化app全局变量
 * */
export function initApp() {
    // log("初始化app全局变量")
    app = Taro.getStorageSync("app") || app
}