import { Component } from 'react'
import Taro from '@tarojs/taro'
import { View, Text, Image, Button, Navigator } from '@tarojs/components'
import { observer, inject } from 'mobx-react'
import './index.less'
import { Store } from '@src/app'
import ModalStore from '@src/store/modalStore'
interface Props {
    store: Store;
}


@inject('store')
@observer
class My extends Component<Props> {
    state = {
    }
    render() {
        let { userInfoStore } = this.props.store
        let userInfo = userInfoStore?.userInfo || Taro.getStorageSync("userInfo")?.userInfo
        return <View className='my'>
            <View className="userInfo">
                {/* <Image src={require('../../icon/myBack.png')} /> */}
                <View className="userInfo_box">
                    {/* 个人信息 */}
                    <View className="top" >
                        <View className="left">
                            <View className="avtai">
                                <Image mode="widthFix" lazy-load src={userInfoStore.userInfo?.avatarUrl ? userInfoStore.userInfo?.avatarUrl : require('../../icon/avatar.jpg')} />
                            </View>
                            <View className="name" style={userInfoStore.isAuth ? { width: Taro.pxTransform(120) } : {}}>
                                {
                                    userInfo?.nickName ? <View className="ID">{userInfo?.nickName || ""}</View> :
                                        <View className="ID">{userInfo?.openId}</View>
                                }
                                {
                                    userInfoStore.isVip && <View className="grade">
                                        <Image lazy-load src={require('../../icon/grade.png')} />
                                        <Text>V1</Text>
                                    </View>
                                }
                            </View>
                        </View>
                        {
                            userInfoStore.isAuth && <View className="right">
                                {
                                    userInfoStore.isAuth ?
                                        <Button onClick={() => { }} className="loginBt"  >
                                            <Image lazy-load src={require('../../icon/loaginBt.png')} />
                                        </Button>
                                        : <View>
                                            <Button openType='chooseAvatar' onChooseAvatar={() => { }} className="loginBt">
                                                <Image lazy-load src={require('../../icon/loaginBt.png')} />
                                            </Button>
                                            {/* <Input type="nickname" placeholder="请输入昵称" /> */}
                                        </View>

                                }
                            </View>
                        }
                    </View>
                    {/* vip续费 */}
                    <View className="bottom">
                        <View>
                            <View className="left">
                                <Image lazy-load src={require('../../icon/VIP.png')} />
                                <View className="txt">
                                    <Text>会员尊享免费解锁权益</Text>
                                    {
                                        userInfoStore.isVip && <Text className="tfv">有效期至:{1111}</Text>
                                    }
                                </View>
                            </View>
                            <View className="right" onClick={() => { Taro.navigateTo({ url: '/pages/vipCore/index' }) }}>{userInfoStore.isVip ? '立即续费' : '立即开通'}</View>
                        </View>
                        <Image lazy-load src={require('../../icon/vipBack.png')} />
                    </View>
                    {/*我的账户  */}
                    <View className='account_info'>
                        <View className='account_info_title'>我的账户</View>
                        <View className='account_info_content'>
                            <View className='account_info_content_left'>
                                <View className='account_info_content_text'>
                                    <Text>12</Text>
                                    <Text>书币</Text>
                                </View>
                                <View className='account_info_content_text' onClick={() => { }}>
                                    <Text>300</Text>
                                    <Text>赠币</Text>
                                </View>
                            </View>
                            <View className='account_info_content_btn' onClick={() => { ModalStore.showModal() }}>充值</View>
                        </View>
                    </View>
                    {/* 底部功能入口 */}
                    <View className="list_bt" >
                        <Navigator className="item" url="/pages/my/contactService/index">
                            <View className="left">
                                <Image lazy-load src={require('../../icon/phone.png')} mode="widthFix" />
                                <Text>联系客服</Text>
                            </View>
                            <View className="right">
                                <Image lazy-load src={require('../../icon/jtRight.png')} mode="widthFix" />
                            </View>
                        </Navigator>
                        <View className="line"></View>
                        <Navigator className="item" url="/pages/my/aboutUs/index">
                            <View className="left">
                                <Image lazy-load src={require('../../icon/we.png')} mode="widthFix" />
                                <Text>关于我们</Text>
                            </View>
                            <View className="right">
                                <Image lazy-load src={require('../../icon/jtRight.png')} mode="widthFix" />
                            </View>
                        </Navigator>
                    </View>
                </View>
            </View>
        </View>
    }
}

export default My
