import { observable } from 'mobx'

export interface UserInfoStore {
    isAuth: boolean,//是否授权获取头像信息,
    isVip: boolean,//是否是vip
    userInfo: {
        openId:string,
        nickName:string,
        avatarUrl:string
    } | null,
    setData: (data: { [key: string]: any }) => void,
}
/**
 * 用户信息
 * */
const userInfoStore: UserInfoStore = observable({
    isAuth: false,
    isVip: false,
    userInfo: null,
    setData(data: { [key: string]: any }) {
        if (data) {
            Object.keys(data).forEach(key => {
                this[key] = data[key]
            })
        }
    },
})

export default userInfoStore